Bug 49986 - mkfs.ext2 does not support an 8192 (8k) block size
mkfs.ext2 does not support an 8192 (8k) block size
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-25 15:38 EDT by Keith
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-25 15:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith 2001-07-25 15:38:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Hi, I have a fresh RH 7.1 (2.4.2-2smp i686) install on a Compaq DL360 with 
the embedded Smart Array controller. 

I have partitioned the remainder of my disks with fdisk and rebooted. I 
now need to setup my extra disks and filesystems with an 8k block size for 
use with an Oracle database.

If I use mkfs.ext2 -b 8192 /dev/ida/c0d0pN it says 8192 is a bad block 
size?!!

I can successfully use mkfs.ext2 -b 4096 /dev/ida/c0d0pN.

I can also successfully use mkfs -V /dev/ida/c0d0pN which uses a 4k 
filesystem blocksize by default. 


How reproducible:
Always

Steps to Reproduce:
1.mkfs.ext2 -b 8192 /dev/<put your partition here>
2.
3.
	

Actual Results:  mkfs.ext2: bad block size - 8192
No filesystem is created.

Expected Results:  It should have created a new 8k block ext2 filesystem.

Additional info:
I suspect this is not RedHat specific, as I get the exact same problem 
with SuSE 7.2 on the same hardware. you may have to check with the 
mkfs.ext2 developer?
Comment 1 Florian La Roche 2001-08-06 06:06:31 EDT
Only up to 4K blocksize are supported.

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.